// Author: Patrick Stickler <patrick.stickler@nokia.com>
// Copyright (C) 2002 Nokia. All rights reserved.
// Usage is governed by the license terms defined in the file
// NOKIA_LICENSE which was distributed with this file.

package XSD;

import Datatypes.*;

public class Int extends Long
{
   public Int ()
   {
   }
   
   public Int (java.lang.String lform)
   throws InvalidLexicalForm
   {
      this.setValue (lform);
   }
   
   public boolean isValidForm (java.lang.String lform)
   {
      if (! super.isValidForm (lform)) return false;
      
      final java.lang.Double max = new java.lang.Double (2147483647);
      final java.lang.Double min = new java.lang.Double (-2147483648);
      
      java.lang.Double d = new java.lang.Double (lform);
      
      if ( (d.compareTo (min) < 0) || (d.compareTo (max) > 0) )
         return false;
      else
         return true;
   }
}
